body {
    margin: 0;
    font-family: 'freight-neo-pro', sans-serif;
    background-image: url(background_hexa.jpg);
    background-color: rgba(14, 14, 14);
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    background-position: center;

    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    text-align: center;
    overscroll-behavior: none;
}

.banner {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow-y: auto; /* Enable vertical scrolling */
}

.content {
    background-color: rgba(34, 34, 34);
    padding: 100px;
    border-radius: 10px;
    max-width: 600px;
    margin: 60px 40px;
    z-index: 1;
    height: fit-content;
}

.portrait {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    margin: 0 auto 20px;
    display: block;
    transition: transform 0.3s;
}

.portrait:hover {
    transform: scale(1.05);
}

h1 {
    font-weight: 700;
    font-size: 3.5em;
    margin: 20px 0 10px;
}

h2 {
    font-size: 20px;
    line-height: 22px;
    font-weight: 100; /* Thinner font */
    color: #C0C6CC;
    margin: 10px 0 20px;
}

.description, .additional-text {
    font-size: 14px;
    color: #C0C6CC;
    margin-bottom: 5px;
}

.button {
    display: inline-block;
    background-color: white;
    color: rgb(34, 34, 34);
    padding: 10px 20px;
    border-radius: 8px;
    text-decoration: none;
    font-weight: bold;
    margin: 20px 0;
    transition: transform 0.3s;
}

.button:hover {
    transform: scale(1.1);
}

.social-buttons {
    display: flex;
    justify-content: center;
    gap: 20px;
}

.social-btn {
    background-color: #3a3a3a;
    padding: 10px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background-color 0.3s;
}

.social-btn:hover {
    background-color: #5a5a5a;
}

.social-btn img {
    width: 36px;
    height: 36px;
}

/* Mobile Responsiveness */
@media (max-width: 600px) {
    .content {
        padding: 5% 5%;
        max-width: 400px;
        margin: 20px 10px;
        z-index: 1;
        height: fit-content;
    }

    .banner {
        overflow: scroll;
    }

    .portrait {
        width: 200px;
        height: 200px;
    }

    h1 {
        font-size: 2.8em;
    }

    h2 {
        font-size: 20px;
    }

    .description, .additional-text {
        font-size: 14px;
    }

    .button {
        padding: 15px 20px;
        font-size: 1.1em;
    }

    .social-btn {
        padding: 15px;
    }

    .social-btn img {
        width: 25px;
        height: 25px;
    }
}